      integer i

      print *, 'Enter an integer'
      read(*, *) i

c     while i > 0
  102 continue
      if (i.le. 0) goto 101
        print *, 'i = ', i
        i = i / 2
        goto 102
  101 continue
c     end while
      end
